%% matlab cleaning
close all  
clear all
clc 

%% data loading & inizialization
load('Es1Outcome.mat')


%% identification 
theta_hat_arx = fminsearch(@(t) V_Arx(t,U,Y),[0 0 0]');
theta_hat_oe = fminsearch(@(t) V_Oe(t,U,Yoe),[0 0 0]');

%% estimation error
disp(['Estimation error for ARX']);
theta_hat_arx - theta0,

disp(['Estimation error for OE']);
theta_hat_oe - theta0,

%% SSR evaluation
[ SSR_theta0_arx ] = V_Arx( theta0, U, Y );
disp(['ARX model: SSR theta0_arx    = ',num2str(SSR_theta0_arx) ]);
[ SSR_theta_hat_arx ] = V_Arx( theta_hat_arx, U, Y );
disp(['ARX model: SSR theta_hat_arx = ',num2str(SSR_theta_hat_arx) ]);


[ SSR_theta0_oe ] = V_oe( theta0, U, Y );
disp(['OE model: SSR theta0_arx    = ',num2str(SSR_theta0_oe) ]);
[ SSR_theta_hat_oe ] = V_oe( theta_hat_oe, U, Y );
disp(['OE model: SSR theta_hat_arx = ',num2str(SSR_theta_hat_oe) ]);
